/////////////////////////////////////////////////////////////////////////////
//  File:       BinTreeFormat.h
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then a simple email would be nice.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability if it causes any damage whatsoever.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _BINTREEFORMAT_H
#define _BINTREEFORMAT_H

// ==============================================================
// formatting object, stores facename, color, bold italic and logfont-charset props
class CFormatInfoOb : public CObject
{
public:
	DECLARE_SERIAL(CFormatInfoOb)
	CFormatInfoOb();
	CFormatInfoOb(CString strFaceName, COLORREF crColor, BOOL bBold, BOOL bItalic, BYTE lfCharSet);

	CString m_strFaceName;
	COLORREF m_crColor;
	BOOL m_bBold;
	BOOL m_bItalic;
	BYTE m_lfCharSet;
	const void operator=(const CFormatInfoOb& rFormatInfoOb);
	virtual void Serialize(CArchive& ar);
};

// typed pointermap for the mapping of nodetypes to format-objects
typedef CTypedPtrMap<CMapStringToOb, CString, CFormatInfoOb*> CMapStringToFormat;

// The format class stores the different format-Objects, the mapping
// and the font-height of the sublevels
class CBinTreeFormat : public CObject
{
public:
	CBinTreeFormat();
	virtual ~CBinTreeFormat();

	CFormatInfoOb *m_pFormatStd;
	CFormatInfoOb *m_pFormatVar;
	CFormatInfoOb *m_pFormatConst;
	CFormatInfoOb *m_pFormatNum;
	CFormatInfoOb *m_pFormatFunc;
	CFormatInfoOb *m_pFormatOp;
	CFormatInfoOb *m_pFormatSym;
	CFormatInfoOb *m_pFormatPhys;

	CMapStringToFormat m_FormatMap;
	int m_nFontHeight[5];

	int GetFontHeight(int nIndex);
	const void operator=(const CBinTreeFormat& rBinTreeFormat);
	virtual void Serialize(CArchive& ar);
};

CBinTreeFormat* GetFormat();

#endif