/////////////////////////////////////////////////////////////////////////////
//  File:       FormulaInPlaceEdit.h
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
//  parts of Code by Chris Maunder and Matt Weagle (from GridCtrl)
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then a simple email would be nice.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability if it causes any damage whatsoever.
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(FORMULAINPLACEEDIT_H__INCLUDED_)
#define FORMULAINPLACEEDIT_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "node.h"

class CFormulaInPlaceEdit : public CEdit
{
// Construction
public:
	
	CFormulaInPlaceEdit(CWnd* pParent, CRect& rect, DWORD dwStyle, UINT nID,
                 CNode*, CString strInitText, UINT nFirstChar);

// Attributes
public:
 
// Operations
public:
	void EndEdit();
 
// Overrides
     // ClassWizard generated virtual function overrides
     //{{AFX_VIRTUAL(CFormulaInPlaceEdit)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL
 
// Implementation
public:
	virtual ~CFormulaInPlaceEdit();
	void RepositionWindow(CRect ctrlRect);
 
// Generated message map functions
protected:
    //{{AFX_MSG(CFormulaInPlaceEdit)
    afx_msg void OnKillFocus(CWnd* pNewWnd);
    afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg UINT OnGetDlgCode();
	afx_msg void OnUpdate();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
	CFont	m_ctrlFont;
    CNode*	m_pNode;
	CString m_strInitText;
    UINT    m_nLastChar;
    BOOL    m_bExitOnArrows;
};
 
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(INPLACEEDIT_H__INCLUDED_)
