/////////////////////////////////////////////////////////////////////////////
//  File:       FormulaSettingsDlg.h
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then a simple email would be nice.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability if it causes any damage whatsoever.
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORMULASETTINGSDLG_H__9A1B57F3_503D_11D6_999E_00047695DC03__INCLUDED_)
#define AFX_FORMULASETTINGSDLG_H__9A1B57F3_503D_11D6_999E_00047695DC03__INCLUDED_
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FormulaSettingsDlg.h : header file
//
#include "FormulaCtrl.h"
#include "bintree.h"
#include "fontcombobox.h"
#include "colourpicker.h"

/////////////////////////////////////////////////////////////////////////////
// CFormulaSettingsDlg dialog

class CFormulaSettingsDlg : public CDialog
{
// Construction
public:
	CFormulaSettingsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CFormulaSettingsDlg)
	enum { IDD = IDD_DIALOG_SETTINGS };
	CFontCombo	m_ComboFontVar;
	CFontCombo	m_ComboFontConst;
	CFontCombo	m_ComboFontNum;
	CFontCombo	m_ComboFontFunc;
	CColourPicker m_ColourPickerVar;
	CColourPicker m_ColourPickerConst;
	CColourPicker m_ColourPickerNum;
	CColourPicker m_ColourPickerFunc;
	CFormulaCtrl m_PreviewCtrl;
	//}}AFX_DATA
	void SetupPreviewTree();
	CBinTree m_BinTree;

	CBinTreeFormat m_BinTreeFormat;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormulaSettingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    afx_msg LONG OnSelEndOK(UINT lParam, LONG wParam);

	// Generated message map functions
	//{{AFX_MSG(CFormulaSettingsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void UpdatePreview();
	afx_msg void OnKillfocusEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMULASETTINGSDLG_H__9A1B57F3_503D_11D6_999E_00047695DC03__INCLUDED_)
