/////////////////////////////////////////////////////////////////////////////
//  File:       FormulaView.cpp
//  Version:    1.0.0.0
//  Created:    03-april-2002
//
//  Author:     Thorsten Wack
//  E-mail:     wt@umsicht.fhg.de
//
//	FormulaView.cpp : implementation of the CFormulaView class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "Formula.h"

#include "FormulaDoc.h"
#include "FormulaView.h"
#include "FormulaDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFormulaView

IMPLEMENT_DYNCREATE(CFormulaView, CView)

BEGIN_MESSAGE_MAP(CFormulaView, CView)
	//{{AFX_MSG_MAP(CFormulaView)
	ON_COMMAND(ID_FORMULA, OnFormula)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFormulaView construction/destruction

CFormulaView::CFormulaView()
{
	// TODO: add construction code here

}

CFormulaView::~CFormulaView()
{
}

BOOL CFormulaView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CFormulaView drawing

void CFormulaView::OnDraw(CDC* pDC)
{
	CFormulaDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	pDC->SetMapMode(MM_TEXT);

	if(pDC->IsPrinting())
	{
		pDoc->m_BinTree.PrintDDB(pDC);
	}
	else
	{
		CRect rect;
		GetClientRect(&rect);
		pDoc->m_BinTree.DrawTree(pDC, rect);
	}
}

/////////////////////////////////////////////////////////////////////////////
// CFormulaView printing

BOOL CFormulaView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CFormulaView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CFormulaView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CFormulaView diagnostics

#ifdef _DEBUG
void CFormulaView::AssertValid() const
{
	CView::AssertValid();
}

void CFormulaView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CFormulaDoc* CFormulaView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFormulaDoc)));
	return (CFormulaDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFormulaView message handlers

void CFormulaView::OnFormula() 
{
	CFormulaDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	CFormulaDlg	FormulaDlg;
	FormulaDlg.m_BinTree=pDoc->m_BinTree;
	if(FormulaDlg.DoModal()==IDOK)
	{
		pDoc->m_BinTree=FormulaDlg.m_BinTree;
		Invalidate(TRUE);
	}
}
